# Common setup code to be sourced by shell scripts
# Initializes:
#  cr_testsdir	  location of the tests
#  cr_bindir	  location of cr_checkpoint, etc.
#  cr_run	  path of the cr_run utility
#  cr_checkpoint  path of the cr_checkpoint utility
#  cr_restart	  path of the cr_restart utility
for cr_testsdir in ${cr_testsdir} `dirname $0` .; do
  test -f ${cr_testsdir}/shellinit && break
done
test -f ${cr_testsdir}/shellinit || exit 1
export cr_testsdir
#
cr_bindir=${cr_testsdir}/../bin
if expr "$cr_bindir" : / >/dev/null; then
  : # OK
else
  cr_bindir="`pwd`/${cr_bindir}"
fi
#
cr_run=${cr_run:-${cr_bindir}/cr_run}
export cr_run
#
cr_checkpoint=${cr_checkpoint:-${cr_bindir}/cr_checkpoint}
export cr_checkpoint
#
cr_restart=${cr_restart:-${cr_bindir}/cr_restart}
export cr_restart
#
unset cr_bindir
